﻿using System;
using System.Web.UI;
using Telerik.Charting;
using System.Collections.Generic;

public partial class Default2 : System.Web.UI.Page
{
    private Random rand = new Random(123456);

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            RadChart1.DataSource = GetRandomData();
            RadChart2.DataSource = GetRandomData();

            RadChart1.DataBind();
            RadChart2.DataBind();
        }
    }

    private List<ChartData> GetRandomData()
    {
        List<ChartData> data1 = new List<ChartData>();
        for (int i = 0; i < 50; i++)
        {
            data1.Add(new ChartData() { YValue = rand.Next(10, 100), Date = DateTime.Today.AddHours(i * 3) });
        }

        return data1;
    }

    public class ChartData
    {
        public DateTime Date
        {
            get;
            set;
        }

        public double ConvertedDate
        {
            get
            {
                return this.Date.ToOADate();
            }
        }

        public double YValue
        {
            get;
            set;
        }
    }

    protected void RadChart1_Zoom(object sender, ChartZoomEventArgs e)
    {
        RadChart2.ClientSettings.XScale = (float)e.XScaleNew;
        RadChart2.ClientSettings.YScale = (float)e.YScaleNew;

        RadChart2.ClientSettings.XScrollOffset = RadChart1.ClientSettings.XScrollOffset;
        RadChart2.ClientSettings.YScrollOffset = RadChart1.ClientSettings.YScrollOffset;
    }

    protected void RadChart2_Zoom(object sender, ChartZoomEventArgs e)
    {
        RadChart1.ClientSettings.XScale = (float)e.XScaleNew;
        RadChart1.ClientSettings.YScale = (float)e.YScaleNew;

        RadChart1.ClientSettings.XScrollOffset = RadChart2.ClientSettings.XScrollOffset;
        RadChart1.ClientSettings.YScrollOffset = RadChart2.ClientSettings.YScrollOffset;
    }
}